Amazekard Soon to Release DSi Firmware 1.4.2 fix

Discussion in 'NDS - Flashcarts and Accessories' started by haddad, May 12, 2011.

May 12, 2011
  1. haddad
    OP

    Member haddad GBAtemp Advanced Maniac

    Joined:
    Aug 12, 2010
    Messages:
    1,519
    Country:
    Canada
    Just got an email from the Amazekard Team, and they should be releasing 1.4.2 fix for DSi really soon, they are gonna release an upgrade file that will update the Amazekard to make it work on DSi Firmware v1.4.2

    So in less then few days, we should see Amazekard flashcard working on the 1.4.2 update :wtf: Could this beat Acekard and Supercard? Who know's lets see...
     
  2. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    R4iDSN might beat them, they got a proof video up within hours. XD
     
  3. Schlupi

    Member Schlupi Gbatemp's Official Earthbound Maniacâ„¢

    Joined:
    Aug 31, 2007
    Messages:
    3,985
    Location:
    Rozen Queen Co, Chicago Branch
    Country:
    United States
    I will be sad if the AMAZEKARD even beats the big teams.

    Impressed though. As long as it's not bug ridden...
     
  4. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
    it's depend if they propose a firmware solution
    of if they build a new flashcard version... Like a lot of R4i !!!

    You have the r4i for 1.4.1, now you need to buy another one for 1.4.2!

    Or you can upgrade your R4i for 1.4.1 with a firmware

    you see the difference ?
     
  5. Zorua

    Zorua Newbie

    Yup, R4iDSN beat them. [​IMG]
     

Share This Page